CURLOPT_DEBUGDATA(3)

NAME
CURLOPT_DEBUGDATA - custom pointer for debug callback

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_DEBUGDATA, void *pointer);

DESCRIPTION
Pass a pointer to whatever you want passed in to your CURLOPT_DEBUGFUNCTION(3) in the last void * argument. This pointer is not used by libcurl, it is only passed to the callback.

DEFAULT
NULL

PROTOCOLS
All

EXAMPLE
https://curl.haxx.se/libcurl/c/debug.html

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK

SEE ALSO
CURLOPT_STDERR(3), CURLOPT_DEBUGFUNCTION(3),